Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface FileControl

    public interface FileControl

Nested Class Summary
`static class` | `FileControl.FileCreateMode`
`static interface` | `FileControl.FileInfo`
`static class` | `FileControl.FileIOType`
`static class` | `FileControl.FileSuffixType`
`static interface` | `FileControl.Ftp`
`static interface` | `FileControl.IOOperation`

Field Summary
`static String` | `ATTR_POST_READ`
`static String` | `ATTR_POST_READ_ARCHIVE`
`static String` | `ATTR_POST_READ_DELETE`

Method Summary
`void` | `copy(String fileName)` Copy the current file to the specified file name.
`void` | `delete()` Delete the current file.
`void` | `ftpToLocal()` Copy the from remote to local filesystem
`com.bea.wli.control.dynamicProperties.FileControlFileListDocument` | `getFiles()` Returns Iterator for the File objects matching the specified file mask in the current directory.
`com.bea.wli.control.dynamicProperties.FileControlPropertiesDocument` | `getProperties()` Get the dynamic properties for the control
`void` | `rename(String fileName)` Rename the current file to the specified file name.
`void` | `reset()` Reset the file control by closing any in-progress operations such as: readLine, readRecord and append.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.FileControlPropertiesDocument xmlProp)` Set the dynamic properties for the control

Field Detail

### ATTR_POST_READ

    static final String ATTR_POST_READ

See Also:
  Constant Field Values

### ATTR_POST_READ_DELETE

    static final String ATTR_POST_READ_DELETE

See Also:
  Constant Field Values

### ATTR_POST_READ_ARCHIVE

    static final String ATTR_POST_READ_ARCHIVE

See Also:
  Constant Field Values

Method Detail

### getFiles

    com.bea.wli.control.dynamicProperties.FileControlFileListDocument getFiles()

  Returns Iterator for the File objects matching the specified file mask in the current directory.

  Returns:
    an iterator for the File objects for the files in the current directory matching the file mask

### setProperties

    void setProperties(com.bea.wli.control.dynamicProperties.FileControlPropertiesDocument xmlProp)
                       throws IllegalArgumentException

  Set the dynamic properties for the control

  Parameters:
    `xmlProp` - the dynamic properties for the control
  Throws:
    `IllegalArgumentException` - if invalid properties are specified

### getProperties

    com.bea.wli.control.dynamicProperties.FileControlPropertiesDocument getProperties()

  Get the dynamic properties for the control

  Returns:
    a FileControlPropertiesDocument object

### rename

    void rename(String fileName)
                throws FileNotFoundException,
                       IOException,
                       SecurityException,
                       IllegalArgumentException

  Rename the current file to the specified file name.

  Parameters:
    `fileName` - name of the file to be renamed to
  Throws:
    `IllegalArgumentException` - if invalid file name is specified
    `FileNotFoundException` - if the file is not present
    `IOException` - reading the file
    `SecurityException` - reading the file

### delete

    void delete()
                throws FileNotFoundException,
                       IOException,
                       SecurityException

  Delete the current file.

  Throws:
    `IllegalArgumentException` - if invalid file name is specified
    `FileNotFoundException` - if the file is not present
    `IOException` - reading the file
    `SecurityException` - reading the file

### copy

    void copy(String fileName)
              throws FileNotFoundException,
                     IOException,
                     SecurityException,
                     IllegalArgumentException

  Copy the current file to the specified file name.

  Parameters:
    `fileName` - name of the file name to be copied to
  Throws:
    `IllegalArgumentException` - if invalid file name is specified
    `FileNotFoundException` - if the file is not present
    `IOException` - reading the file
    `SecurityException` - reading the file

### ftpToLocal

    void ftpToLocal()
                    throws IOException

  Copy the from remote to local filesystem

  Throws:
    `IOException` - reading the file

### reset

    void reset()

  Reset the file control by closing any in-progress operations such as: readLine, readRecord and append.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD